CP(1)

NAMN
cp — kopiera filer och kataloger

SYNOPSIS
cp [FLAGGA]... [-T] KÄLLA DEST
cp [FLAGGA]... KÄLLA... KATALOG
cp [FLAGGA]... -t KATALOG KÄLLA...

BESKRIVNING

Kopiera KÄLLA till DEST, eller flera KÄLLOR till KATALOG.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --archive
    Samma som -dR --preserve=all.

--attributes-only
    Kopiera inte fildata, bara attributen.

--backup[=STYR]
    Gör en säkerhetskopia av varje befintlig destinationsfil.

-b  Som --backup men tar inget argument.

--copy-contents
    Kopiera innehåll i specialfiler när rekursivt.

-d  Samma som --no-dereference --preserve=links.

-f, --force
    Om en befintlig destinationsfil inte kan öppnas, ta bort den och försök igen (denna flagga ignoreras om -n också används).

-i, --interactive
    Fråga innan något skrivs över (åsidosätter en tidigare flagga -n).

-H  Följ symboliska länkar på kommandoraden i KÄLLA.

-l, --link
    Hårdlänka filer istället för att kopiera.

-L, --dereference
    Följ alltid symboliska länkar i KÄLLA.

-n, --no-clobber
    Skriv inte över en existerande fil (åsidosätter en tidigare flagga -i).

-P, --no-dereference
    Följ aldrig symboliska länkar i KÄLLA.

-p  Samma som --preserve=mode,ownership,timestamps.

--preserve[=ATTR_LISTA]
    Bevara de angivna attributen (standard: mode,ownership,timestamps), om möjligt ytterligare attribut: context, links, xattr, all.

--no-preserve=ATTR_LISTA
    Bevara inte de angivna attributen.

--parents
    Lägg till källsökvägen till KATALOG.

-R, -r, --recursive
    Kopiera kataloger rekursivt.

--reflink[=NÄR]
    Styr klon-/CoW-kopior. Se nedan.

--remove-destination
    Ta bort varje befintlig destinationsfil före försök att öppna den (jämför med --force).

--sparse=NÄR
    Styr skapande av glesa filer. Se nedan.

--strip-trailing-slashes
    Ta bort eventuella avslutande snedstreck från varje KÄLL-argument.

-s, --symbolic-link
    Gör symboliska länkar istället för att kopiera.

-S, --suffix=ÄNDELSE
    Ersätt den vanliga ändelsen för säkerhetskopior.

-t, --target-directory=KATALOG
    Flytta alla KÄLLOR till KATALOG.

-T, --no-target-directory
    Behandla DEST som en vanlig fil.

-u, --update
    Kopiera bara när KÄLLA är nyare än destinationen, eller när destinationen saknas helt.

-v, --verbose
    Berätta vad som görs.

-x, --one-file-system
    Stanna inom detta filsystem.

-Z  Sätt SELinux-säkerhetskontext på destinationsfilen till standardtypen.

--context[=KTX]
    Som -Z, eller om KTX anges, sätt då SELinux- eller SMACK-säkerhetskontext till KTX.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Normalt upptäcks en gles KÄLLA med en grov heuristik och motsvarande DEST görs likaledes gles. Det beteendet väljs av --sparse=auto. Ange --sparse=always för att alltid göra DEST gles när KÄLLA innehåller tillräckligt långa nollbytesekvenser. Ange --sparse=never för att hindra skapandet av glesa filer.

Utför, när --reflink[=always] anges, en lättviktskopiering, där datablocken endast kopieras när de ändras. Om detta inte är möjligt misslyckas kopieringen eller, om --reflink=auto anges, faller tillbaka till en standardkopiering. Använd --reflink=never för att vara säker på att en standardkopiering görs.

Ändelsen på säkerhetskopior är ”~” om inte annat anges av --suffix eller SIMPLE_BACKUP_SUFFIX. Versionshanteringen kan styras med --backup-flaggan eller med miljövariabeln VERSION_CONTROL. Den kan ha följande värden:

none, off
    Gör aldrig säkerhetskopior (ens om --backup anges).

numbered, t
    Gör numrerade säkerhetskopior.

existing, nil
    Numrerade om det redan finns numrerade, annars enkla.

simple, never
    Gör alltid enkla säkerhetskopior.

Som ett specialfall gör cp en säkerhetskopia av KÄLLA när force- och backup-flaggorna är givna, och KÄLLA och DEST är samma namn på en befintlig normal fil.

UPPHOVSMAN
Skrivet av Torbjorn Granlund, David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/cp>
eller tillgängligt lokalt via: info '(coreutils) cp invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.